# Reply to a ticket

You can reply to a ticket with a note from an admin.

Endpoint: POST /tickets/{id}/reply
Version: 2.9
Security: bearerAuth

## Path parameters:

  - `id` (string, required)

## Header parameters:

  - `Intercom-Version` (string)

## Request fields (application/json):

  - `body` (string, required)
    The message body of the note, which may contain HTML.
    Example: <p>Okay!</p>

  - `message_type` (string)
    The type of the reply. Only `note` is supported at the moment.
    Example: note

  - `admin_id` (string, required)
    The id of the admin who is making the note.
    Example: 1234

## Response 200 fields (application/json):

  - `type` (string)
    Always ticket_part
    Enum: "ticket_part"

  - `id` (string)
    The id representing the note.
    Example: 3

  - `part_type` (string)
    Always note
    Enum: "note"

  - `body` (string)
    The message body, which may contain HTML.
    Example: <p>Okay!</p>

  - `created_at` (integer)
    The time the note was created.
    Example: 1663597223

  - `updated_at` (integer)
    The last time the note was updated.
    Example: 1663597260

  - `author` (object)
    The author that wrote or triggered the part. Can be a bot, admin, team or user.

  - `author.type` (string)
    Enum: "admin", "bot", "team"

  - `author.id` (string)
    The id of the author
    Example: 274

  - `author.name` (string)
    The name of the author
    Example: Operator

  - `author.email` (string)
    The email of the author
    Example: operator+abcd1234@intercom.io

  - `attachments` (array)
    A list of attachments for the part.

  - `attachments.type` (string)
    The type of attachment
    Example: upload

  - `attachments.name` (string)
    The name of the attachment
    Example: example.png

  - `attachments.url` (string)
    The URL of the attachment
    Example: https://picsum.photos/200/300

  - `attachments.content_type` (string)
    The content type of the attachment
    Example: image/png

  - `attachments.filesize` (integer)
    The size of the attachment
    Example: 100

  - `attachments.width` (integer)
    The width of the attachment
    Example: 100

  - `attachments.height` (integer)
    The height of the attachment
    Example: 100

  - `redacted` (boolean)
    Whether or not the ticket part has been redacted.
    Example: false

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

